Subject: RE: bug#21225: 25.0.50; doc strings of `define-obsolete-*'

From: Drew Adams <[email-masked]>
Date: Sun, 9 Aug 2015 10:35:09 -0700 (PDT)

I forgot to add:

The doc (doc strings and manual) should make clear that the args
are evaluated.  This is not obvious, as these are macros.

For example, this is needed:

(define-obsolete-variable-alias 'last-input-char 'last-input-event
  "at least 19.34")

This is no good:

(define-obsolete-variable-alias last-input-char last-input-event
  "at least 19.34")

The current doc is quite unclear about this, especially by just
referring to the args as "*-NAME".  (Nothing wrong with those
parameter names, as long as you make clear that the args are
evaluated.)